"use strict";

require('adapter-min.js');

__globalAdapter.init();

require('cocos/cocos2d-js-min.js');

__globalAdapter.adaptEngine();

require('./ccRequire');

require('./src/settings'); // Introduce Cocos Service here


require('./main'); // TODO: move to common
// Adjust devicePixelRatio


cc.view._maxPixelRatio = 4;

if (cc.sys.platform !== cc.sys.WECHAT_GAME_SUB) {
  // Release Image objects after uploaded gl texture
  cc.macro.CLEANUP_IMAGE_CACHE = true;
}
//引入sdk
require('./libs/htkSdk_gfWxXyx.js')
//数数sdk
// window['TDAnalytics'] = require('./libs/thinkingdata.mg.cocoscreator.min.js')
require('./libs/tdanalytics.mg.cocoscreator.min')
window.boot();